<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8" >
    <title>Forms</title>
    <style>
      table,
      th,
      td {
        border: 1px solid black;
        border-collapse: collapse;
      }

      th,
      td {
        padding: 10px;
      }
    </style>
  </head>

  <body>
    <!-- Login Form -->
    <div>
      <h2>Вход в системата:</h2>
      <form>
        <div>
          <label for="username">Потребителско име:</label>
          <input
            type="text"
            placeholder="Въведете..."
            name="username"
            id="username"
            required
          >
        </div>

        <br>

        <div>
          <label for="password">Парола</label>
          <input
            type="password"
            placeholder="Парола - макс. 6 символа"
            name="password"
            id="password"
            minlength="6"
            required
          >
        </div>

        <br>

        <input type="submit" value="Вход" >
      </form>
    </div>

    <br>
    <hr>

    <!-- Survey -->
    <div>
      <h2>Анкета:</h2>
      <form>
        <table>
          <thead>
            <tr>
              <th>Етикет</th>
              <th>Избор(и)</th>
            </tr>
          </thead>

          <tbody>
            <tr>
              <td>
                <label for="email">Имейл</label>
              </td>
              <td>
                <input
                  type="email"
                  placeholder="Въведете Вашият email"
                  id="email"
                  name="email"
                >
              </td>
            </tr>

            <tr>
              <td>Пол</td>
              <td>
                <input type="radio" name="gender" value="male" >
                <label for="male">Мъж</label>

                <input type="radio" name="gender" value="female" >
                <label for="female">Жена</label>
              </td>
            </tr>

            <tr>
              <td>Любими плодове</td>
              <td>
                <div>
                  <input
                    type="checkbox"
                    name="favFruits"
                    value="oranges"
                    id="oranges"
                  >
                  <label for="oranges">Портокали</label>
                </div>

                <div>
                  <input
                    type="checkbox"
                    name="favFruits"
                    value="apples"
                    id="apples"
                  >
                  <label for="apples">Ябълки</label>
                </div>

                <div>
                  <input
                    type="checkbox"
                    name="favFruits"
                    value="pears"
                    id="pears"
                  >
                  <label for="pears">Круши</label>
                </div>
              </td>
            </tr>

            <tr>
              <td>Коментар</td>
              <td>
                <textarea rows="4" cols="30" name="comment"></textarea>
              </td>
            </tr>

            <tr>
              <td>
                <input type="reset" value="Изчисти" >
              </td>
              <td>
                <input type="submit" value="Изпрати" >
              </td>
            </tr>
          </tbody>
        </table>
      </form>
    </div>

    <br>
    <hr>

    <!-- Create an User -->
    <div>
      <h2>Създаване на потребител:</h2>
      <form>
        <div>
          <label for="username">
            <strong>Потребителско име:</strong>
          </label>
          <input
            type="text"
            placeholder="Въведете..."
            name="username"
            id="username"
          >
        </div>

        <br>

        <div>
          <label for="password">
            <strong>Парола:</strong>
          </label>
          <input
            type="password"
            placeholder="Парола - макс. 6 символа"
            name="password"
            id="password"
            minlength="6"
          >
        </div>

        <br>

        <div>
          <label for="photo">
            <strong>Качване на снимка</strong>
          </label>
          <input type="file" name="photo" id="photo" >
        </div>

        <br>

        <div>
          <strong>Отбори:</strong>

          <div>
            <label for="allStars">All Stars</label>
            <input type="checkbox" name="team" value="allStars" id="allStars" >
          </div>

          <div>
            <label for="amigos">Amigos</label>
            <input type="checkbox" name="team" value="amigos" id="amigos" >
          </div>

          <div>
            <label for="champions">Champions</label>
            <input
              type="checkbox"
              name="team"
              value="champions"
              id="champions"
            >
          </div>
        </div>

        <div>
          <p>
            <strong>Позиция:</strong>
          </p>

          <div>
            <label for="manager">Мениджър</label>
            <input type="radio" name="position" value="manager" id="manager" >
          </div>

          <div>
            <label for="designer">Дизайнер</label>
            <input
              type="radio"
              name="position"
              value="designer"
              id="designer"
            >
          </div>

          <div>
            <label for="programmer">Програмист</label>
            <input
              type="radio"
              name="position"
              value="programmer"
              id="programmer"
            >
          </div>
        </div>

        <br>

        <div>
          <label for="role">
            <strong>Роля</strong>
          </label>
          <select name="role" id="role" size="3" multiple>
            <option value="admin">Админ</option>
            <option value="moderator">Модератор</option>
            <option value="user">Потребител</option>
          </select>
        </div>

        <br>

        <div>
          <input type="submit" value="Създай :)" >
        </div>
      </form>
    </div>

    <br>
    <hr>

    <!-- Registration -->
    <div>
        <h2>Регистрационна форма</h2>
        <form>
            <fieldset>
                <legend>Регистрация</legend>

                <div>
                    <label for="email">Email:<label>
                    <input type="email" name="email" id="email" >
                </div>

                <br>

                <div>
                    <label for="password">Парола:<label>
                    <input type="password" name="password" id="password" >
                </div>

                <br>

                <div>
                    <label for="confirmPassword">Повтори парола:<label>
                    <input type="password" name="confirmPassword" id="confirmPassword" >
                </div>

                <br>

                <input type="submit" value="Регистрация" >
            </fieldset>
        </form>
    </div>

    <br>
    <hr>

    <!-- Settings-->
    <div>
      <h2>Разширени настройки</h2>
      <form>
        <div>
          <span>Коментари</span>
          <br>
          <input
            type="checkbox"
            checked
            name="allow"
            value="comments"
            id="allowComments"
          >
          <label for="allowComments">Разрешаване на коментари</label>

          <select name="allowComments">
            <option value="all">Всички</option>
            <option value="first">Първият коментар</option>
          </select>
        </div>

        <br>

        <div>
          <input type="checkbox" name="allow" value="see" id="allowSee" >
          <label for="allowSee"
            >Потребителите могат да виждат коментарите</label
          >
        </div>

        <br>

        <div>
          <span>Синдикиране</span>

          <div>
            <input
              type="radio"
              name="platforms"
              value="everywhere"
              id="everywhere"
            >
            <label for="everywhere">Навсякъде</label>
          </div>

          <br>

          <div>
            <input type="radio" name="platforms" value="income" id="income" >
            <label for="income">Платформи, осигуряващи доходи</label>
          </div>
        </div>

        <br>

        <div>
          <label for="date">Дата на записа</label>
          <input type="date" name="date" id="date" >
        </div>

        <br>

        <div>
          <label for="time">Час на записа</label>
          <input type="time" name="time" id="time" >
        </div>

        <br>

        <input type="submit" value="Запазване на промените" >
      </form>
    </div>
  </body>
</html>
